Checks whether a certain object is in the map

- « WeakMap::getIterator

- WeakMap::offsetGet »

- PHP Manual
- WeakMap
- Checks whether a certain object is in the map

# WeakMap::offsetExists

(PHP 8)

WeakMap::offsetExists — Checks whether a certain object is in the map

### Description

public WeakMap::offsetExists(object `$object`): bool

Checks whether the passed object is referenced in the map.

### Parameters

`object`

  Object to check for.

### Return Values

Returns `true` if the object is contained in the map, `false` otherwise.